<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>bounce</name>
  <program_name>bounce</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <height>68</height>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox1_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>vbox2</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkButton</class>
	    <name>bounce_button</name>
	    <tooltip>temporarily shift stream by a fraction of a beat</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>button_press_event</name>
	      <handler>gdam_skin_do_toggle:bounced</handler>
	      <last_modification_time>Sat, 16 Mar 2002 14:17:36 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>button_release_event</name>
	      <handler>gdam_skin_do_toggle:bounced</handler>
	      <last_modification_time>Sat, 16 Mar 2002 14:17:49 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_trap_key_press:b:gdam_skin_do_toggle:bounced</handler>
	      <last_modification_time>Sat, 16 Mar 2002 14:17:36 GMT</last_modification_time>
	    </signal>
	    <label>bounce</label>
	    <active>False</active>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:bounced:0:2:Bounced</handler>
	      <last_modification_time>Fri, 25 Feb 2000 00:48:22 GMT</last_modification_time>
	    </signal>
	    <label>M</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox1</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>2</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>

	    <widget>
	      <class>GtkSpinButton</class>
	      <name>delay_sbutton</name>
	      <tooltip>bounce offset, in 1/8 beats</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>adjustment_changed</name>
		<handler>gdam_skin_adjustment:eighth_beat_factor</handler>
		<last_modification_time>Sun, 17 Oct 1999 21:58:02 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_spin_button_display_beatstyle</handler>
		<last_modification_time>Sun, 17 Oct 1999 21:58:02 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>activate</name>
		<handler>gdam_skin_defocus_on_activate</handler>
		<last_modification_time>Thu, 13 Apr 2000 21:50:47 GMT</last_modification_time>
	      </signal>
	      <climb_rate>1</climb_rate>
	      <digits>0</digits>
	      <numeric>True</numeric>
	      <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	      <snap>False</snap>
	      <wrap>False</wrap>
	      <value>4</value>
	      <lower>-16</lower>
	      <upper>16</upper>
	      <step>1</step>
	      <page>8</page>
	      <page_size>10</page_size>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button2</name>
	      <tooltip>assign midi control</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>pressed</name>
		<handler>gdam_skin_try_or_destroy:gdam_input_button:eighth_beat_factor:0:8:Eighth_Beat_Factor</handler>
		<last_modification_time>Fri, 25 Feb 2000 00:52:16 GMT</last_modification_time>
	      </signal>
	      <label>M</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button3</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:bounce</handler>
	      <last_modification_time>Fri, 24 Mar 2000 16:36:53 GMT</last_modification_time>
	    </signal>
	    <label>?</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox2</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>

	    <widget>
	      <class>Custom</class>
	      <name>custom1</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>assign hardware binding</tooltip>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_make_binding_dialog</handler>
		<last_modification_time>Wed, 22 Mar 2000 20:51:54 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/hardware.xpm:default/hardware_active.xpm:default/hardware_prelight.xpm:default/hardware_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Wed, 22 Mar 2000 20:46:26 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>Custom</class>
	  <name>custom2</name>
	  <signal>
	    <name>value_changed</name>
	    <handler>gdam_skin_adjustment:beat_factor</handler>
	    <last_modification_time>Sat, 16 Mar 2002 14:10:25 GMT</last_modification_time>
	  </signal>
	  <signal>
	    <name>button_press_event</name>
	    <handler>gdam_skin_arg_int:bounced:1:is_delta</handler>
	    <last_modification_time>Sat, 16 Mar 2002 14:06:37 GMT</last_modification_time>
	  </signal>
	  <signal>
	    <name>button_release_event</name>
	    <handler>gdam_skin_arg_int:bounced:-1:is_delta</handler>
	    <last_modification_time>Sat, 16 Mar 2002 14:06:53 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
	  <string1>bluetone/nudgetrough.xpm:bluetone/nudgehandle.xpm</string1>
	  <string2>1:2:139:0:0:0:1.0:.1</string2>
	  <int1>1</int1>
	  <int2>0</int2>
	  <last_modification_time>Sat, 16 Mar 2002 14:09:07 GMT</last_modification_time>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
